Subject: bug#76978: [PATCH] package.el: Add built-in version check and loaded package marking

From: Ship Mints <[email-masked]>
Date: Wed, 19 Mar 2025 17:47:09 -0400

On Wed, Mar 19, 2025 at 5:22 PM Stefan Monnier <[email-masked]>
wrote:

> > Maybe I should change the patch to prompt for allowing a dupe install if
> > that's what someone wants?
>
> Not sure it's worth the trouble.  It's a sufficiently rare situation.
>

I wish that were true.  I've gone through using the "install" feature from
the package-list and description screen only to find that it duped because
I didn't specifically run package-upgrade on each package.  Most of the
people I work with don't even bother to read it and just select install
from the same screen.  It's a design issue I didn't address but I did at
least address an already-installed warning.

We should get that patch going.